<?php
/**
 * ProductStatusesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ProductStatusesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductStatusesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createProductStatus
     *
     * Создание объекта типа ProductStatusSetting.
     *
     */
    public function testCreateProductStatus()
    {
    }

    /**
     * Test case for deleteProductStatus
     *
     * Удаление объекта типа ProductStatusSetting.
     *
     */
    public function testDeleteProductStatus()
    {
    }

    /**
     * Test case for getProductStatus
     *
     * Получение объекта типа ProductStatusSetting по идентификатору.
     *
     */
    public function testGetProductStatus()
    {
    }

    /**
     * Test case for nextProductStatuses
     *
     * Получение доступных статусов из текущего.
     *
     */
    public function testNextProductStatuses()
    {
    }

    /**
     * Test case for patchProductStatus
     *
     * Изменение объекта типа ProductStatusSetting.
     *
     */
    public function testPatchProductStatus()
    {
    }

    /**
     * Test case for searchProductStatuses
     *
     * Поиск объектов типа ProductStatusSetting.
     *
     */
    public function testSearchProductStatuses()
    {
    }

    /**
     * Test case for setPreviousProductStatuses
     *
     * Установка статусов из которых можно перейти в текущий.
     *
     */
    public function testSetPreviousProductStatuses()
    {
    }
}
